#!/bin/bash -e
#!/bin/bash -vxe

SKIP=1
NTH=1

if [ $# -eq 2 ]
then
	SKIP=$1
	NTH=$2
fi

filesToProcess() {
  local listFile=busybox/busybox_files
  sed -n "$SKIP~${NTH}p" $listFile
}


flags="-U HAVE_LIBDMALLOC -DCONFIG_FIND -U CONFIG_FEATURE_WGET_LONG_OPTIONS -U ENABLE_NC_110_COMPAT -U CONFIG_EXTRA_COMPAT -D_GNU_SOURCE"
srcPath="busybox-1.18.5"
export partialPreprocFlags="-x CONFIG_ --include busybox/config.h -I $srcPath/include --featureModelFExpr busybox/featureModel --debugInterface --writePI --recordTiming --parserstatistics --rootfolder=/local/joliebig/results/ --codecoverage --codecoveragenh --fileconfig --pairwise"

## recompile TypeChef
#cd ../TypeChef
#java -jar sbt-launch.jar mkrun
#cd -

## Reset output
filesToProcess|while read i; do
  if [ ! -f $srcPath/$i.dbg ]; then
    touch $srcPath/$i.dbg
    ./jcpp.sh $srcPath/$i.c $flags
  else
    echo "Skipping $srcPath/$i.c"
  fi
done

